SYSTEMD-MSTACK(1)

NOM
systemd-mstack, mount.mstack – Images de disque détectables (DDI) Mstack

SYNOPSIS

systemd-mstack [OPTIONS...] IMAGE

systemd-mstack [OPTIONS...] [--mount] IMAGE CHEMIN

systemd-mstack [OPTIONS...] [--umount] CHEMIN

DESCRIPTION

systemd-mstack est un outil pour l’introspection et l’interaction avec des répertoires de piles de montages .mstack/, tels que décrits dans systemd.mstack(7). Il gère trois opérations différentes :

    1. Affichage d’informations générales sur les piles de montages, y compris toutes les couches « overlayfs » décrites et les montages bind.

    2. Montage d’une pile de montages dans un répertoire local.

    3. Démontage d’une pile de montages d’un répertoire local.

La commande systemd-mstack peut être invoquée sous la forme de mount.mstack, auquel cas elle met en œuvre l’interface « external helper » de mount(8). Cela garantit que les répertoires de pile de montages compatibles avec systemd-mstack peuvent être montés directement par mount et fstab(5). Pour plus de détails, voir ci-après.

À la place d’un chemin d’image, un répertoire versionné « .v/ » peut être indiqué. Pour plus de détails, consulter systemd.v(7).

COMMANDES

Si aucune des options de commande listées ci-après n’est passée, la pile de montages est ouverte et des informations générales à son propos sont affichées, dont la liste de toutes les couches définies.

--mount, -m
    Montage de la pile de montages indiquée dans le répertoire indiqué.

    Pour démonter la pile de montages montée de cette façon, l’opération --umount doit être utilisée.

    Il est à noter que cette fonctionnalité est aussi disponible dans mount(8) à l’aide d’une commande telle que mount -t mstack ma_pile.mstack rép_cible/, ainsi que dans fstab(5). Pour plus de détails, voir ci-après.

    Ajouté dans la version 260.

-M
    Cette option est un raccourci pour --mount --mkdir.

    Ajouté dans la version 260.

--umount, -u
    Démontage d’une pile de montages du répertoire indiqué. Cette commande ne requiert qu’un seul argument : le répertoire de montage de la pile.

    Tous les montages montés seront démontés récursivement.

    Ajouté dans la version 260.

-U
    Cette option est un raccourci pour --umount --rmdir.

    Ajouté dans la version 260.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

OPTIONS

Les options suivantes sont comprises :

--read-only, -r
    Opérer en mode lecture seule. Par défaut, l’option --mount établit des points de montage éditables. Si cette option est indiquée, ils sont établis en mode lecture seule.

    Ajouté dans la version 260.

--mkdir
    Si combinée avec l’option --mount, le répertoire où monter la pile de montages est créé s’il n’existe pas. Il est à noter que ce répertoire n’est pas automatiquement supprimé quand la pile de montages est démontée..

    Ajouté dans la version 260.

--rmdir
    Si combinée avec l’option --umount, le répertoire indiqué où la pile de montages est montée est supprimé après son démontage.

    Ajouté dans la version 260.

--image-policy=politique
    Cette option prend pour argument une chaine de politique d’image, comme pour systemd.image-policy(7). La politique est imposée lors d'une opération sur l'image disque indiquée par --image=, voir ci-dessus. La politique par défaut est « * » si rien n'est indiqué, c'est-à-dire que tous les systèmes de fichiers reconnus de l'image sont utilisés.

--image-filter=filtre
    Cette option prend pour argument une chaine de filtrage d’image, comme pour systemd.image-filter(7). Le filtre est imposé lors d'une opération sur l'image disque indiquée par --image=, voir ci-dessus. En l’absence de spécification, aucun filtrage n’est appliqué.

--no-pager
    Ne pas rediriger (pipe) la sortie vers un afficheur (pager).

--no-legend
    Ne pas imprimer de légende, c'est-à-dire les en-têtes de colonnes et le pied de page contenant des remarques.

--json=MODE
    Afficher la sortie formatée en JSON. Le mode attendu est « short » (pour la sortie la plus concise possible sans redondance d’espace ou de saut de ligne), « pretty » (pour une plus jolie version de la même chose avec indentation et sauts de ligne) ou « off » (pour désactiver la sortie JSON, comportement par défaut).

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

INVOCATION SOUS FORME DE /SBIN/MOUNT.MSTACK

L’exécutable systemd-mstack peut être lié symboliquement à /sbin/mount.mstack. Si invoqué de cette manière, il met en œuvre l’interface « external helper » de mount(8) pour le type de (pseudo) système de fichiers « mstack ». Cela signifie que les répertoires de piles de montages conformes peuvent être montés directement à l’aide de

    # mount -t mstack ma_pile.mstack rép_cible/

d’une manière globalement correspondante à :

    # systemd-mstack --mount ma_pile.mstack rép_cible/

Il est à noter que puisque une seule pile de montages peut contenir plusieurs points de montage, elle peut être démontée avec umount -R rép_cible/ pour un traitement récursif.

Cette fonctionnalité est particulièrement utile pour monter des piles de montages automatiquement à l’amorçage à l’aide de simples entrées dans /etc/fstab. Par exemple :

    /chemin/de/ma_pile.nspawn /images/ma_pile/ mstack defaults 0 0

Lors d’une invocation de cette façon, les options de montage « ro », « rw » représentent les options correspondantes listées ci-dessus (c’est-à-dire --read-only).

VOIR AUSSI

systemd(1), systemd.mstack(7), systemd-nspawn(1), systemd.exec(5), mount(8), umount(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.